#ifndef __LCD__H__
#define __LCD__H__

#include "types.h"

/* 单色液晶屏幕 160*160
   一个 byte 代表一个像素点
   0xFF 代表白色
   0x00 代表黑色
*/
#define LCD_SIZE_X 160
#define LCD_SIZE_Y 160

#define LCD_LINE_SIZE             LCD_SIZE_X
#define LCD_DISPLAYMEMORYSIZE     (LCD_SIZE_X * LCD_SIZE_Y)

#define LCD_COLOR_WHITE           0xFF
#define LCD_COLOR_BLACK           0x00

#define LCD_FONT                  LCD_COLOR_WHITE
#define LCD_BACK                  LCD_COLOR_BLACK
#define LCD_OK                    0
#define LCD_ERR_OUT_OF_RANGE     -1
#define LCD_ERR_INVALID_COLOR    -2

void Lcd_Init(void);
int8_t Lcd_SetPixel(uint16_t x, uint16_t y, uint8_t color);
int16_t Lcd_GetPixel(uint16_t x, uint16_t y);
uint8_t* Lcd_GetFrameBuffer(void);

#endif
